Subject: REND compile help

From: [email-masked]
Date: Fri, 19 Nov 1993 01:33:39 -0400 (EDT)

(Please excuse the first send of this message, most of it was chopped.)

I spent months (yes, months) trying to compile demo4 under Turbo C++ 
and Borland C++. I had 6 problems to overcome:
   (1) I was a neophyte C++ programmer and didn't understand the Make
	utility at the time, or the Borland IDE..
   (2) I didn't unzip the file with the -d option into directories initially.
   (3) The programs had so many warnings that the compile would die,
	finally had to change the allowable amount of warnings per program 
	to 255.
   (4) The lib files were not usable.
   (5) Turbo C++ didn't have an assembler, had to buy Borland C++.
   (6) One of the programs (Maybe it was DEMO4) had a compile error 
       (as opposed to a warning). Between this error and #4 above, I wonder 
       if I had a bad download file.
    I found out about another version of REND called JIREND (from Jerry 
Isdale). It was at Sunee in a public upload directory, and I have seen it 
at 158.125.96.29, or eta.lut.ac.uk. The Make files were good (except on my 
machine, it wouldn't switch from directory to directory by itself, I had to 
take the Makefiles apart). The programs were clean, and it all ran.

> I can't seem to compile the demo4 program on either turbo c++ or  
> borland c++, it keeps on >coming up with "function ????? prototype 
> not defined"  ,but it is defined in the header files and the header 
> files are loading and compiling. 
> why oh why oh why......
> Rik